Package org.python.modules.jffi

# Class NativeDataConverter

java.lang.Object
org.python.modules.jffi.NativeDataConverter

public abstract class NativeDataConverter extends Object

## Constructor Summary

Constructors
Constructor
Description
`NativeDataConverter()`
`NativeDataConverter(boolean referenceRequired, boolean postInvokeRequired)`

## Method Summary

Modifier and Type
Method
Description
`abstract PyObject`
`fromNative(PyObject obj)`
`final boolean`
`isPostInvokeRequired()`
`final boolean`
`isReferenceRequired()`
`abstract NativeType`
`nativeType()`
`abstract PyObject`
`toNative(PyObject obj)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NativeDataConverter

public NativeDataConverter()

### NativeDataConverter

public NativeDataConverter(boolean referenceRequired, boolean postInvokeRequired)

## Method Details

### isReferenceRequired

public final boolean isReferenceRequired()

### isPostInvokeRequired

public final boolean isPostInvokeRequired()

### fromNative

public abstract PyObject fromNative(PyObject obj)

### toNative

public abstract PyObject toNative(PyObject obj)

### nativeType

public abstract NativeType nativeType()